bandwidth.nrd {MASS} | R Documentation

## Bandwidth for density() via Normal Reference Distribution

### Description

A well-supported rule-of-thumb for choosing the bandwidth of a Gaussian kernel density estimator.

### Usage

    bandwidth.nrd(x)

### Arguments

`x` | A data vector.

### Value

A bandwidth on a scale suitable for the `width` argument of `density`.

### References

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Springer, equation (5.5) on page 130.

### Examples

    # The function is currently defined as
    function(x)
    {
        r <- quantile(x, c(0.25, 0.75))
        h <- (r[2] - r[1])/1.34
        4 * 1.06 * min(sqrt(var(x)), h) * length(x)^(-1/5)
    }

[Package MASS version 7.3-18 Index]